\chapter{C*-Algebras}





\section{Banach Algebras}





\subsection{Definition}


\begin{convention}
	By an \defemph{algebra}\index{algebra} we mean a complex, associative algebra.
	We don’t require algebras to be unital, nor commutative.
\end{convention}


\begin{definition}
	\leavevmode
	\begin{enumerate}
		
		\item
			Let~$\norm{\phdot}$ be a norm on an algebra~$A$.
			The norm~$\norm{\phdot}$ is \defemph{submultiplicative}\index{submultiplicative} if for all~$a, b \in A$,
			\[
				\norm{ab}
				\leq
				\norm{a} \cdot \norm{b} \,.
			\]

		\item
			A \defemph{normed algebra}\index{normed!algebra}\index{algebra!normed} is an algebra~$A$ together with a submultiplicative norm on~$A$.

	\end{enumerate}
\end{definition}


\begin{remark}
	Let~$A$ be a unital, normed algebra.
	It follows from~%
	$
		\norm{1}
		=
		\norm{1 \cdot 1}
		\leq
		\norm{1} \cdot \norm{1}
	$
	that
	\[
		\norm{1} \geq 1
	\]
	and therefore more generally for every scalar~$\lambda$ in~$\Complex$ that~%
	$
		\norm{\lambda 1}
		=
		\abs{\lambda} \norm{1}
		\leq
		\abs{\lambda}
	$.
	However, it is not necessarily true that~$\norm{1} = 1$, since we can always replace the norm~$\norm{\phdot}$ of~$A$ by any of the rescaled norms~$C \norm{\phdot}$ with~$C > 1$.
\end{remark}


\begin{proposition}[{\cite[Lemma~1.3]{wilde_cstar_gently_done}}]
	\label{norm_of_unit_element}
	Let~$A$ be a nonzero, unital, normed algebra with norm~$\norm{\phdot}$.
	There exists a submultiplicative norm~$\norm{\phdot}'$ on~$A$ that is equivalent to~$\norm{\phdot}$ and such that~$\norm{1}' = 1$.
\end{proposition}


\begin{proof}
	For every element~$a$ of~$A$ let~$\ell_a$ be the left multiplication by~$a$, i.e. the linear map
	\[
		\ell_a
		\colon
		A \to A \,,
		\quad
		b \mapsto ab \,.
	\]
	The map~$\ell_a$ is bounded with~$\norm{\ell_a} \leq \norm{a}$ since~%
	$
		\norm{\ell_a(b)}
		=
		\norm{ab}
		\leq
		\norm{a} \norm{b}
	$
	for all~$a, b \in A$.
	The resulting linear map~$A \to \Bounded(A)$ is injective since for every element~$a$ of~$A$ we have~$\ell_a(1) = a$.
	We define the desired norm~$\norm{\phdot}'$ on~$A$ as
	\[
		\norm{a}'
		\defined
		\norm{ \ell_a }
	\]
	for every~$a \in A$.
	For every element~$a$ of~$A$ we have
	\[
		\norm{a}'
		=
		\norm{\ell_a}
		=
		\sup_{b \in A,\, \norm{b \leq 1}}
		\norm{\ell_a(b)}
		=
		\sup_{b \in A,\, \norm{b \leq 1}}
		\norm{ab}
		\geq
		\norm[\Bigg]{ a \cdot \frac{1}{\norm{1}} }
		=
		\frac{1}{\norm{1}}
		\cdot
		\norm{a \cdot 1}
		=
		\frac{\norm{a}}{\norm{1}} \,.
	\]
	We have now shown that
	\[
		\norm{a}' \leq \norm{a} \leq \norm{1} \cdot \norm{a}' \,,
	\]
	whence the two norms~$\norm{\phdot}$ and~$\norm{\phdot}'$ on~$A$ are equivalent.
	We also have~$\norm{1}' = \norm{\ell_1} = \norm{\id_A} = 1$, as desired.
\end{proof}



\begin{recall}
	\label{p_norm_on_direct_sum_of_normed_algebras}
	Let~$A_1, \dotsc, A_n$ be normed algebras.
	For~$p \in [1, \infty)$ let
	\begin{align*}
		\norm{ (a_1, \dotsc, a_n) }_p
		&\defined
		( \norm{a_1}^p + \dotsb + \norm{a_n}^p )^{1/p} \,.
	\intertext{for all~$a_1, \dotsc, a_n \in A$, and for~$p = \infty$ let}
		\norm{ (a_1, \dotsc, a_n) }_{\infty}
		&\defined
		\max( \norm{a_1}, \dotsc, \norm{a_n} )
	\end{align*}
	for all~$a_1, \dotsc, a_n \in A$.
	For every~$p \in [1, \infty]$, this defines a norm~$\norm{\phdot}_p$ on~$A_1 \oplus \dotsb \oplus A_n$.
	The topology on~$A_1 \oplus \dotsb \oplus A_n$ induced by the norm~$\norm{\phdot}_p$ coincides with the product topology induced from the topologies on~$A_1, \dots, A_n$.
	(This entails that the topology on~$A_1 \oplus \dotsb \oplus A_n$ induced by~$\norm{\phdot}_p$ for~$p \in [1, \infty]$ is independent of the choice of~$p$.
\end{recall}


\begin{proposition}
	Let~$A$ be a normed algebra~$A$.
	The multiplication map
	\[
		A \times A
		\to
		A \,,
		\quad
		(a, b)
		\mapsto
		ab
	\]
	is continuous (where~$A$ is endowed with the topology induced by~$A$, and~$A \times A$ is endowed with the resulting product topology).
\end{proposition}


\begin{proof}
	The product topology on~$A \times A$ is induced by the norm~$\norm{\phdot}_1$ given by~%
	$
		\norm{(a, b)}_1
		=
		\norm{a} + \norm{b}
	$
	for all~$a \in A$,~$b \in B$.
	Let~$(a, b)$ be an element of~$A \times A$ and let~$( (a_n, b_n) )_n$ be a sequence in~$A \times A$ with~$(a_n, b_n) \to (a, b)$ as~$n \to \infty$.
	Then~$a_n \to a$ and~$b_n \to n$ as~$n \to \infty$.
	This entails that the sequence~$(b_n)_n$ in~$B$ is bounded.
	There hence exists a constant~$C > 0$ such that~$\norm{b_n} \leq C$ for every index~$n$.
	It follows that
	\begin{align*}
		\SwapAboveDisplaySkip
		\norm{ a b - a_n b_n }_1
		&\leq
		\norm{ a b - a b_n + a b_n - a_n b_n }_1
		\\
		&=
		\norm{ a (b - b_n) + (a - a_n) b_n }_1
		\\
		&\leq
		\norm{a} \cdot \norm{b - b_n} + \norm{a - a_n} \cdot \norm{b_n}
		\\
		&\leq
		\norm{a} \cdot \norm{b - b_n} + C \norm{a - a_n}
	\end{align*}
	for every index~$n$, and therefore~$\norm{ a b - a_n b_n }_1 \to 0$ as~$n \to \infty$.
\end{proof}


\begin{definition}
	A \defemph{Banach~algebra}\index{Banach!algebra}\index{algebra!Banach} is a complex algebra~$A$ together with a submultiplicative norm~$\norm{\phdot}$ on~$A$ such that~$A$ as complete with respect to~$\norm{\phdot}$.
\end{definition}


\begin{recall}
	In the situation of \cref{p_norm_on_direct_sum_of_normed_algebras}, the direct sum~$A_1 \oplus \dotsb \oplus A_n$ is Banach~algebra (when endowed with the norm~$\norm{\phdot}_p$) if and only if each~$A_i$ is a Banach algebra.
\end{recall}


\begin{proposition}
	Let~$A$ be a Banach~algebra.
	Every closed subalgebra of~$A$ inherits from~$A$ the structure of a Banach~algebra.
	\qed
\end{proposition}


\begin{example}
	\leavevmode
	\begin{enumerate}

		\item
			Let~$X$ be a Banach~space, and let~$\Bounded(X)$\index{bounded operators}\glsadd{algebra_of_bounded_operators} be the algebra of bounded operators of~$X$, i.e. the algebra of continuous, linear maps from~$X$ into itself.
			The algebra~$\Bounded(X)$ becomes a Banach~algebra when endowed with the operator norm, which is given by
			\[
				\norm{T}
				\defined
				\sup_{x \in X, \, \norm{x} \leq 1}
				\norm{ Tx }
			\]
			for every~$T \in \Bounded(X)$.
			If the vector space~$X$ is nonzero, then this norm can better be expressed as~%
			$
				\norm{T}
				\defined
				\sup_{x \in X, \, \norm{x} = 1}
				\norm{ Tx }
			$
			for every~$T \in \Bounded(X)$.

		\item
			Let~$X$ be a topological space and let~$\Contb(X)$\glsadd{cb_functions} be the vector space of complex-valued, bounded, continuous functions on~$X$, i.e.
			\[
				\textstyle
				\Contb(X)
				\defined
				\{
					\textstyle
					f \colon X \to \Complex
				\suchthat
				\text{$f$ is continuous and~$\sup_{x \in X} \abs{f(x)} < \infty$}
				\} \,.
			\]
			The vector space~$\Contb(X)$ becomes an algebra via the pointwise multiplication of functions.
			This algebra becomes a Banach algebra when endowed with the \supremumnorm{}, given by
			\[
				\norm{f}_\infty
				\defined
				\sup_{x \in X} { \norm{f(x)} }
			\]
			for every~$f \in \Cont_b(X)$.
			We can also consider those  continuous fuctions on~$X$ that \enquote{vanish at infinity}\index{vanishing at infinity}, i.e.
			\[
				\textstyle
				\Cont_0(X)
				\defined
				\left\{
					f \colon X \to \Complex
				\suchthat*
					\begin{tabular}{l}
						$f$ is continuous and there \\
						exists for every~$\varepsilon > 0$  \\
						a compact subset~$K$ of~$X$ \\
						such that~$\sup_{X \setminus K} {} \abs{f} < \varepsilon$
					\end{tabular}
				\right\} \,.%
				\footnote{
					A function~$f$ on~$X$ is continuous and vanishes at infinity, i.e. is contained in~$\Cont_0(X)$, if and only if it extends to a continuous function~$\hat{f}$ on the one-point compactification~$X \cup \{ \infty \}$ with~$\hat{f}(\infty) = 0$.
				}
				\glsadd{czero_functions}
			\]
			This is a closed subalgebra of~$\Contb(X)$, and therefore inherits the structure of a Banach~algebra from~$\Contb(X)$.%
	\end{enumerate}
\end{example}

\begin{remark}
	Let~$X$ be a topological space.
	The algebras~$\Contb(X)$ and~$\Cont_0(X)$ are unital if and only if the topological space~$X$ is compact.
\end{remark}




\subsection{Ideals and Quotients}


\begin{recall}
	Let~$A$ be an algebra.
	An \defemph{ideal}\index{ideal} of~$A$ is a linear subspace~$J$ on~$A$ such that both~$AJ$ and~$JA$ are again contained in~$A$.%
	\footnote{
		If~$A$ is unital, then these two conditions can equivalently be replaced by the single condition~$JAJ \subseteq A$.
	}
\end{recall}


\begin{recall}
	\label{norm_on_quotient}
	Let~$V$ be a normed vector space and let~$U$ be a closed, linear subspace of~$V$.
	\begin{enumerate}
		
		\item
			The quotient vector space~$V/U$ inherits a norm~$\norm{\phdot}$ from~$V$ given by~%
			$
				\norm{\class{v}}
				=
				\inf_{u \in U} { \norm{v + u} }
			$.

		\item
			Suppose furthermore that~$V$ is a Banach~space.
			Then~$V/U$ is also a Banach~space.
		\qed

	\end{enumerate}
\end{recall}


\begin{proposition}
	Let~$A$ be a normed algebra and let~$J$ be a closed ideal of~$A$.
	\begin{enumerate}

		\item
			The quotient algebra~$A/J$ is again a normed algebra, when endowed with the induced norm as in~\cref{norm_on_quotient}.

		\item
			Suppose furthermore that~$A$ is a Banach~algebra.
			Then~$A/J$ is again a Banach~algebra.
		\qed

	\end{enumerate}
\end{proposition}





\subsection{Unitization}


\begin{fluff}
	We don’t require algebras to be unital.
	We would nevertheless often like to assume that they are unital, to simplify our proofs.
	This will be justified by the following concept of unitization.
\end{fluff}


\begin{definition}
	\label{norm_on_unitization}
	Let~$A$ be an algebra.
	\begin{enumerate}

		\item
			The \defemph{unitization}\index{unitization} of~$A$ is the algebra~$\tilde{A}$ given by the vector space~%
			$
				\tilde{A}
				\defined
				A \oplus \Complex
				\glsadd{unitization}
			$
			together with the multiplication given for all~$(a, \lambda), (b, \mu) \in \tilde{A}$ by
			\[
				(a, \lambda) + (b, \mu)
				=
				(ab + \lambda b + \mu a, \lambda \mu) \,.
			\]

		\item
			Suppose furthermore that~$A$ is a Banach~algebra.
			Then the \defemph{induced norm}\index{induced norm} on~$\tilde{A}$ is given by
			\[
				\norm{ (a, \lambda) }
				\defined
				\norm{a} + \abs{\lambda} \,.
			\]

	\end{enumerate}
\end{definition}


\begin{proposition}
	Let~$A$ be an algebra.
	\begin{enumerate}

		\item
			The unitization~$\tilde{A}$ is a unital algebra, with multiplicative neutral element given by~$(0,1)$.

		\item
			Suppose furthermore that~$A$ as a Banach~algebra.
			The unitization~$\tilde{A}$ with its induced norm is again a Banach~algebra.

		\item
			The map from~$A$ to~$\tilde{A}$ given by~$a \mapsto (a,0)$ for every~$a \in A$ is an injective homomorphism of algebras, and the image of~$A$ in~$\tilde{A}$ is an ideal of codimension~$1$.
		\qed

	\end{enumerate}
\end{proposition}


\begin{fluff}
	Given a (normed)~algebra~$A$, we regard~$A$ as a (closed)~ideal of its unitization~$\tilde{A}$.
	This will often allow us to reduce statement about (normed)~algebras to the unital case.
\end{fluff}


\begin{proposition}[Universal property of unitization]
	\label{universal_property_of_unitization}
	\leavevmode
	\begin{enumerate}

		\item
			Let~$A$ be an algebra and let~$B$ be a unital algebra.
			Every homomorphism of algebras~$\varphi$ from~$A$ to~$B$ extends uniquely to a homomorphism of algebras~$\varphi'$ from~$\tilde{A}$ to~$B$, given by
			\[
				\varphi'(a, \lambda) = \varphi(a) + \lambda 1_B
			\]
			for all~$(a, \lambda) \in \tilde{A}$.
			In other words, the following diagram commutes:
			\[
				\begin{tikzcd}
					A
					\arrow{r}[above]{\varphi}
					\arrow{d}
					&
					B
					\\
					\tilde{A}
					\arrow[dashed]{ur}[below right]{\varphi'}
					&
					{}
				\end{tikzcd}
			\]

		\item
			Suppose furthermore that both~$A$ and~$B$ are normed algebras.
			The homomorphism~$\varphi$ is continuous if and only if its extension~$\varphi'$ is continuous.
		\qed

	\end{enumerate}
\end{proposition}


\begin{proposition}
	Let~$A$ be an algebra and let~$J$ be an ideal of~$A$.
	\begin{enumerate}

		\item
			Let~$J'$ be an ideal of~$A$ that contains the ideal~$J$.
			The quotient vector space~$J' / J$ is an ideal of the quotient algebra~$A / J$.

		\item
			Let conversely~$K$ be an ideal of~$A/J$.
			There exist a unique ideal~$J'$ of~$A$ with~$K = J'/J$.

		\item
			The above constructions are mutually inverse, and result in a one-to-one-correspondence
			\[
				\{
					\text{ideals~$J'$ of~$A$ containing~$J$}
				\}
				\onetoone
				\{
					\text{ideals~$K$ of~$A/J$}
				\} \,.
			\]

		\item
			Suppose furthermore that~~$A$ is a normed algebra and that the ideal~$J$ is closed in~$A$.
			An ideal of~$A/J$ is closed if and only if the corresponding ideal of~$A$ is closed.
		\qed

	\end{enumerate}

\end{proposition}





\subsection{Spectra}


\begin{recall}
	Let~$A$ be a unital algebra.
	An element~$a$ of~$A$ is \defemph{invertible}\index{invertible} if there exists en element~$b$ of~$A$ with both~$ab = 1$ and~$ba = 1$.
	The set of invertible elements of~$A$ is denoted by~$A^\times$\glsadd{unit_group}.
	The multiplication of~$A$ restricts to a group structure on~$A$, with neutral element given by~$1_A$.
\end{recall}


\begin{remark}
	Let~$A$ be a nonzero normed algebra and let~$a$ be an invertible element of~$A$.
	Then~$\norm{a^{-1}} \geq 1 / \norm{a}$ because
	\[
		1
		\leq
		\norm{1}
		=
		\norm{a a^{-1}}
		\leq
		\norm{a} \cdot \norm{a^{-1}} \,.
	\]
\end{remark}


\begin{definition}
	Let~$A$ be an algebra and let~$a$ be an element of~$A$.
	\begin{enumerate}

		\item
			Let~$A$ be a unital.
			The~\defemph{spectrum}\index{spectrum!of an element} of~$a$ is the set
			\[
				\spec(a)
				\defined
				\{
					\lambda \in \Complex
				\suchthat
					\text{$a - \lambda$ is not invertible}
				\} \,.
				\glsadd{spectrum_element}
			\]

		\item
			Let~$A$ be non-unital.
			The \defemph{spectrum}\index{spectrum!of an element} of~$a$ is the spectrum of~$a$ as an element of~$\tilde{A}$.

		\item
			The \defemph{spectral radius}\index{spectral radius} of~$a$ is~$\specrad(a) \defines \sup_{\lambda \in \spec(a)} { \abs{\lambda} }$.\glsadd{spectral_radius}.
			
	\end{enumerate}
\end{definition}


\begin{remark}
	In a non-unital algebra, the spectrum of every element contains~$0$.
\end{remark}





\begin{recall}
	\label{inverting_an_banach_algebra_with_power_series}
	Let~$A$ be a unital Banach~algebra.
	\begin{enumerate}

		\item
			Let~$\sum_{n=0}^\infty c_n x^n$ be a power series with convergence radius~$\rho$ and let~$a$ be an element of~$A$ with~$\norm{a} < \rho$.
			The series~$\sum_{n=0}^\infty c_n a^n$ in~$A$ converges absolutely, and therefore converges.%
			\footnote{
				The reader should remember at this point that a normed vector space~$V$ is complete (and thus a Banach~space) if and only if every absolut convergent series in ~$V$ also converges.
			}

		\item
			Let~$a$ be an element of~$A$ with~$\norm{a} < 1$.
			The power series~$\sum_{n=0}^\infty a^n$ converges in~$A$, the element~$1 - a$ is invertible in~$A$, and the two-sided inverse of~$1 - a$ is given by
			\[
				(1 - a)^{-1}
				=
				\sum_{n=0}^\infty a^n \,.
			\]

		\item
			Suppose that~$A$ is nonzero and let~$a$ be an invertible element of~$A$.
			Let furthermore~$b$ be an element of~$A$ with
			\[
				\norm{a - b} < \frac{1}{\norm{a^{-1}}} \,.
			\]
			Then~$b$ is also invertible in~$a$.
			Indeed, the invertible element~$a$ is nonzero because~$A$ is nonzero.
			It follows from the estimate
			\[
				\norm{1 - a^{-1} b}
				=
				\norm{a^{-1} \cdot (a - b)}
				\leq
				\norm{a^{-1}} \cdot \norm{a - b}
				<
				\norm{a^{-1}} \cdot \frac{1}{\norm{a^{-1}}}
				=
				1
			\]
			that that the element~$a^{-1} b$ is invertible.
			It further follows that~$b = a \cdot a^{-1} b$ is invertible.
			The inverse of~$b$ can be explicitely expressed as
			\[
				b^{-1}
				=
				( a \cdot a^{-1} b )^{-1}
				=
				( a^{-1} b )^{-1} a^{-1}
				=
				\sum_{n=0}^\infty (1 - a^{-1} b)^n a^{-1} \,.
			\]

			Suppose furthermore that the two elements~$a$ and~$b$ commute.
			It follows that the four elements~$a$,~$b$,~$a^{-1}$,~$b^{-1}$ commute, and therefore
			\[
				b^{-1}
				=
				\sum_{n=0}^\infty (1 - a^{-1} b)^n a^{-1}
				=
				\sum_{n=0}^\infty ( a^{-1} (a - b) )^n a^{-1}
				=
				\sum_{n=0}^\infty a^{-(n+1)} (a - b)^n \,.
			\]
	\end{enumerate}
\end{recall}


\begin{proposition}
	\label{unit_group_is_open}
	Let~$A$ be a unital Banach~algebra.
	The group~$A^\times$ is open in~$A$.
	\qed
\end{proposition}


%\begin{proof}
%	Let~$a$ be an invertible element of~$A$ and let~$(a_n)_n$ be a sequence in~$A$ with~$a_n \to a$ as~$n \to \infty$.
%	Then
%	\[
%		1 - a_n^{-1} a \to 0
%		\qquad
%		\text{as~$n \to \infty$.}
%	\]
%	It follows from \cref{inverting an banach algebra with power series} there exists some natural number~$N$ such that~$1 - (1 - a_n^{-1} a)$ is invertible for ever~$n \geq N$.
%	But~$1 - (1 - a_n^{-1} a) = a_n^{-1} a$.
%	It follows that~$a_n = a \cdot a^{-1} a_n$ is invertible for every~$n \geq N$.
%	This shows that the sequence~$(a_n)_n$ is eventually contained in~$A^\times$.
%\end{proof}


\begin{recall}
	Let~$A$ be a normed algebra and lat~$U$ be an open subset of~$\Complex$.
	\begin{enumerate}

		\item
			A function~$f$ from~$U$ to~$A$ is \defemph{analytic}\index{analytic function} at a point~$\lambda_0$ if there exist some~$\rho > 0$ and a sequence~$a_0, a_1, a_2, \dotsc$ of elements of~$A$ such that for every~$\lambda \in U$ with~$\abs{\lambda - \lambda_0} < \rho$,
			\[
				f(\lambda)
				=
				\sum_{n = 0}^{\infty}
				a_n (\lambda - \lambda_0)^n \,.
			\]

		\item
			Let~$f$ be an analytic function from~$U$ to~$A$.
			Let furthermore~$a'$ be a continuous, linear functional on~$A$.
			Then the composite~$a' \circ f$ is an analytic function from~$U$ to~$\Complex$.
			Indeed, there exist for every point~$\lambda_0$ in~$U$ some radius~$\rho > 0$ and coefficients~$a_0, a_1, a_2, \dotsc$ in~$A$ such that
			\[
				f(\lambda)
				=
				\sum_{n = 0}^\infty
				a_n (\lambda - \lambda_0)^n
			\]
			for every~$\lambda$ in~$U$ with~$\abs{\lambda - \lambda_0} < \rho$.
			In follows that
			\[
				(a' \circ f)(\lambda)
				=
				a'( f(\lambda) )
				=
				a'
				\left(
					\sum_{n = 0}^\infty
					a_n (\lambda - \lambda_0)^n
				\right)
				=
				\sum_{n = 0}^\infty
				a'(a_n) (\lambda - \lambda_0)^n
			\]
			for every such~$\lambda$.
			This shows that the composite~$a' \circ f$ is analytic at every point~$\lambda_0$ in~$U$.

		\item
			Liouville’s theorem holds for analytic functions with values in~$A$:
			Let~$f$ be an analytic function from~$\Complex$ to~$A$.
			Then~$f$ is either unbounded or constant.

			Indeed, suppose that~$f$ is not constant.
			By the theorem of Hahn--Banach, there exists a continuous, linear functional~$a'$ on~$A$ such that the composite~$a' \circ f$ is not constant.
			It follows from Liouville’s theorem that~$a' \circ f$ is unbounded.
			It further follows from the estimate~$\norm{a' \circ f}_{\infty} \leq \norm{a'} \cdot \norm{f}_{\infty}$ that~$f$ is unbounded.

	\end{enumerate}
\end{recall}


\begin{remark}
	Let~$A$ be a normed algebra, let~$U$ be an open subset of~$\Complex$ and let~$f$ be a an analytic function from~$U$ to~$A$.
	Then~$f$ is continuous.

	Indeed, for every point~$\lambda_0$ in~$U$ there exist a radius~$\rho > 0$ and coefficients~$a_0, a_1, a_2, \dotsc$ in~$A$ such that the open ball~$\{ \lambda \in \Complex \suchthat \abs{\lambda - \lambda_0} < \rho\}$ is contained in~$U$ and~$f(\lambda) = \sum_{n=0}^\infty a_n (\lambda - \lambda_0)^n$ for every~$\lambda$ in this open ball.
	It then follows for every~$\varepsilon > 0$ with~$\varepsilon < \rho$ and every point~$\lambda_1$ in~$U$ with~$\abs{\lambda - \lambda_1} < \varepsilon$ that
	\begin{align*}
		\norm{ f(\lambda_1) - f(\lambda_0) }
		=
		\norm*{ \sum_{n=1}^\infty a_n (\lambda_1 - \lambda_0)^n }
		=
		\sum_{n=1}^\infty {}
		\norm{ a_n } \cdot \abs{\lambda_1 - \lambda_0}^n
%		=
%		\sum_{n=0}^\infty {}
%		\norm{ a_{n+1} } \cdot \abs{\lambda_1 - \lambda_0}^{n+1}
		=
		\abs{\lambda_1 - \lambda_0}
		\cdot
		\sum_{n=0}^\infty {}
		\norm{ a_{n+1} } \cdot \varepsilon^n \,.
	\end{align*}
	The series~$\sum_{n=0}^\infty \norm{a_{n+1}} \varepsilon$ converges because~$\varepsilon < \rho$.%
	\footnote{
		The radius of the convergence of the series~$\sum_{n=0}^\infty a_{n+1} x^n$ is the same as for~$\sum_{n=0}^\infty a_n x^n$, which is at least~$\rho$.
	}
	It follows that~$f(\lambda_1) \to f(\lambda_0)$ as~$\lambda_1 \to \lambda_0$.
\end{remark}


\begin{definition}
	Let~$A$ be an algebra and let~$a$ be an element of~$A$.
	The \defemph{resolvent} of~$a$, denoted by~$R_a$, is the function
	\[
		R_a
		\colon
		\Complex \setminus \spec(a) \to A \,,
		\quad
		\lambda \mapsto (a - \lambda)^{-1} \,.
	\]
\end{definition}


\begin{lemma}
	\label{estimate_for_norm_of_geometric_series}
	Let~$A$ be a Banach~algebra and let~$a$ be an element of~$a$ with~$\norm{a} < 1$.
	Then
	\[
		\norm{(1 - a)^{-1}}
		\leq
		\frac{1}{1 - \norm{a}} \,.
	\]
\end{lemma}


\begin{proof}
	We have~%
	$
		\norm{ (1 - a)^{-1} }
		=
		\norm*{ \sum_{n=0}^\infty a^n }
		\leq
		\sum_{n=0}^\infty \norm{a^n}
		\leq
		\sum_{n=0}^\infty \norm{a}^n
		=
		1 / (1 - \norm{a})
	$.
\end{proof}


\begin{proposition}
	\label{spectrum_under_polynomials}
	Let~$A$ be a unital algebra, let~$a$ be an element of~$A$ and let~$p$ be a non-constant, complex polynomial.
	Then
	\[
		\spec(p(a)) = p( \spec(a)) \,.
	\]
\end{proposition}


\begin{proof}
	Let~$\lambda$ be some complex number and let~$q$ be the polynomial given by~$q(x) \defined p(x) - \lambda$.
	We can factor the polynomial~$q$ as
	\[
		q(x)
		=
		c \cdot (x - \mu_1) \cdot (x - \mu_2) \dotsm (x - \mu_n)
	\]
	where~$c$ is some nonzero scalar.
	We note that the elements~$a - \mu_1, \dotsc, a - \mu_n$ commute.
	It therefore follows that
	\begingroup
	\allowdisplaybreaks
	\begin{align*}
		\SwapAboveDisplaySkip
		{}&
		\lambda \in \spec(p(a))
		\\
		\iff{}&
		\text{$p(a) - \lambda$ is not invertible}
		\\
		\iff{}&
		\text{$q(a)$ is not invertible}
		\\
		\iff{}&
		\text{$c (a - \mu_1) \dotsm (a - \mu_n)$ is not invertible}
		\\
		\iff{}&
		\text{$a - \mu_i$ is not invertible for some~$i = 1, \dotsc, n$}
		\\
		\iff{}&
		\text{$\mu_i \in \spec(a)$ for some~$i = 1, \dotsc, n$}
		\\
		\iff{}&
		\text{there exists some~$\mu$ in~$\spec(a)$ with~$q(\mu) = 0$}
		\\
		\iff{}&
		\text{there exists some~$\mu$ in~$\spec(a)$ with~$p(\mu) = \lambda$}
		\\
		\iff{}&
		\lambda \in p(\sigma(a)) \,.
	\end{align*}
	\endgroup
	This proves the assertion.
\end{proof}


\begin{remark}
	\Cref{spectrum_under_polynomials} also holds for constant polynomials.
	This follows from the fact that the spectrum of an element is nonempty, which is part of \cref{basic_spectral_theorem}.
\end{remark}


\begin{theorem}
	\label{basic_spectral_theorem}
	Let~$A$ be a Banach~algebra and let~$a$ be an element of~$A$.
	\begin{enumerate}

		\item
			The spectrum of~$a$ is a non-empty, compact subset of~$\Complex$.

		\item
			Let~$A$ be unital.
			The resolvent of~$a$ is analytic:
			for every~$\lambda$ in~$\Complex \setminus \spec(a)$ with~$\abs{\lambda - \lambda_0} < 1 / \norm{R_a(\lambda_0)}$,
			\[
				R_a(\lambda)
				=
				\sum_{n=0}^\infty
				R_a(\lambda_0)^{n+1} (\lambda - \lambda_0)^n \,.
			\]

		\item
			We have~$\specrad(a) \leq \norm{a}$, and~$\norm{a^n}^{1/n} \to \specrad(a)$ as~$n \to \infty$.

	\end{enumerate}
\end{theorem}


\begin{proof}
	We may assume that the algebra~$A$ is unital.
	The auxiliary map
	\[
		h_a
		\colon
		\Complex
		\to
		A \,,
		\quad
		\lambda
		\mapsto
		a - \lambda
	\]
	is continuous.
	The preimage~$h^{-1}(A^\times)$ is therefore open in~$A$.
	But the spectrum~$\spec(a)$ is the complement of this preimage.
	This shows that~$\spec(a)$ as closed.
	For every~$\lambda \in \Complex$ with~$\abs{\lambda} > \norm{a}$ we have
	\[
		\norm{\lambda^{-1} a}
		=
		\frac{\norm{a}}{\lambda}
		<
		\frac{\lambda}{\lambda}
		=
		1 \,.
	\]
	In follows for each such~$\lambda$ that~$1 - a / \lambda$ is invertible, and therefore that~$\lambda - a = \lambda (1 - a / \lambda)$ is invertible.
	We have shown that~$\spec(a)$ is both closed and bounded, and therefore compact.
	This shows that the spectrum~$\spec(a)$ is bounded by~$\norm{a}$, and therefore~$\specrad(a) \leq \norm{a}$.

	Let~$U$ be the open set~$\Complex \setminus \spec(a)$ and let~$\lambda_0$ be a point in~$U$.
	Let furthermore~$\lambda$ be a point in~$U$ with~$\abs{\lambda - \lambda_0} < 1 / \norm{R_a(\lambda_0)}$.
	The elements~$b \defined a - \lambda$ and~$b_0 \defined a - \lambda_0$ commute.
	It therefore follows from \cref{inverting_an_banach_algebra_with_power_series} that
	\[
		R_a(\lambda)
		=
		b^{-1}
		=
		\sum_{n=0}^\infty
		b_0^{-(n+1)} (b_0 - b)^n
		=
		\sum_{n=0}^\infty
		R_a(\lambda_0)^{n+1} (\lambda - \lambda_0)^n \,.
	\]

	Suppose that for some element~$a$ of~$A$ its spectrum~$\spec(a)$ is empty.
	The resolvent function~$R_a$ is a non-constant, analytic function from~$\Complex$ to~$A$.
	It follows from Liouville’s theorem that~$R_a$ is unbounded.
	But it follows from \cref{estimate_for_norm_of_geometric_series} for every point~$\lambda$ in~$\Complex$ with~$\abs{\lambda} > \norm{a}$ that
	\[
		\norm{ R_a(\lambda) }
		=
		\norm[\big]{ (\lambda - a)^{-1} }
		=
		\norm[\big]{ \lambda^{-1} (1 - a/\lambda)^{-1} }
		=
		\abs[\big]{ \lambda^{-1} } \cdot \norm[\big]{ (1 - a/\lambda)^{-1} }
		\leq
		\frac{ \abs[\big]{\lambda^{-1}} }{ 1 - \norm{a/\lambda} }
		=
		\frac{ 1 }{ \abs{\lambda} - \norm{a} } \,.
	\]
	This shows that that~$R_a$ is bounded outside of the disk~$\{ \lambda \in \Complex \suchthat \abs{\lambda} \leq \norm{a} + 1 \}$.
	But~$R_a$ is continuous, and therefore also bounded, on this disk.
	This shows that~$R_a$ is bounded!
	This contradiction shows that~$U$ cannot be nonempty.
	
	It follows from \cref{spectrum_under_polynomials} that~$\spec(a^n) = \spec(a)^n$ for every natural exponent~$n$, and thus
	\[
		\specrad(a)^n
		=
		\specrad(a^n)
		\leq
		\norm{a^n}
		\leq
		\norm{a}^n \,.
	\]
	This shows that~$\specrad(a) \leq \norm{a^n}^{1/n}$ for every natural exponent~$n$.
	For a proof of the required convergence~$\norm{a^n}^{1/n} \to \specrad(a)$ we refer to \cite[Theorem~1.7.3]{arveson_short_spectral_theory}.
\end{proof}


\begin{remark}
	The above argumentation is in part taken from \cite{planetmath_spectrum_nonempty_compact} and \cite{planetmath_resolvent_function_is_analytic}.
\end{remark}



\begin{corollary}[{\cite[Corollary~1.27]{williams_short_course_cstar}}]
	\label{classification_of_banach_skew_field}
	Let~$A$ be a unital Banach algebra with~$\norm{1} = 1$ that is a skew field.
	(More explicitely:~$A$ is unital, nonzero, and every nonzero element of~$A$ is invertible.)
	Then~$A$ is isometrically isomorphic to~$\Complex$.
\end{corollary}


\begin{proof}
	For every element~$a$ of~$A$ its spectrum is nonempty, but the element~$a - \lambda$ can be non-invertible only~$a = \lambda$.
	There hence exists for every element~$a$ of~$A$ a unique element~$\lambda(a)$ of~$\Complex$ such that~$a = \lambda(a)$.
	The resulting map
	\[
		\lambda
		\colon
		A \to \Complex
	\]
	is linear, multiplicative, and an isometry because
	\[
		\norm{a}
		=
		\norm{\lambda(a) \cdot 1}
		=
		\abs{\lambda(a)} \cdot \norm{1}
		=
		\abs{\lambda(a)}
	\]
	for every~$a \in A$.
	This entails that~$\lambda$ is injective;
	it is therefore also surjective since both~$A$ and~$\Complex$ are nonzero.
\end{proof}








\section{Commutative Banach Algebras}





\subsection{Characters}


\begin{definition}
	Let~$A$ be a Banach~algebra.
	A nonzero homomorphism of algebras from~$A$ to~$\Complex$ is a \defemph{character}\index{character} on~$A$.
	The set of all characters on~$A$ is the \defemph{spectrum}\index{spectrum!of an algebra} of~$A$.
	It is denoted by~$\hat{A}$\glsadd{spectrum_algebra}.
\end{definition}


\begin{example}[Flashforward]
	\leavevmode
	\begin{enumerate}

		\item
			Let~$X$ be locally compact Hausdorff space.
			The space~$X$ is homeomorphic to the spectrum to its algebra of continuous functions~$\Cont(X)$ via the map
			\[
				X \to \widehat{ \Cont(X) } \,,
				\quad
				x \mapsto \ev_x \,.
			\]

		\item
			Let~$A$ be a unital~\Cstaralgebra{}, and let~$a$ be a normal element of~$A$ (i.e.~$a a^* = a^* a$).
			Let~$\Cont^*(1,a)$ be the minimal~\Cstarsubalgebra{} of~$A$ containing both~$1$ and~$a$.
			The spectrum of the algebra~$\Cont^*(1, a)$ as homeomorphic to the spectrum of the element~$a$.

	\end{enumerate}
\end{example}


\begin{recall}
	\label{functional_is_continuous_iff_kernel_is_closed}
	Let~$X$ be a topological vector space and let~$x'$ be a linear map from~$X$ to~$\Complex$.
	The map~$x'$ is continuous if and only if its kernel is closed.
\end{recall}


\begin{proof}
	The kernel of~$x'$ is the preimage of the closed subset~$\{ 0 \}$ of~$\Complex$.
	If~$x'$ is continuous, then it therefore follows that~$\ker(x')$ is again closed.

	Suppose now that the kernel of~$x'$ is closed.
	The fibres of~$x'$ are either empty or arise from~$\ker(x')$ by translation.
	The fibres of~$x'$ are therefore closed.
	Suppose that~$x'$ is not continuous.
	Then there exists a sequence~$(x_n)_n$ in~$X$ with~$\abs{x_n} = 1$ for every~$n$ but~$\abs{f(x)} > n$ for every~$n$.
	It follows for the adjusted sequence~$(x'_n)_n$ with
	\[
		x'_n
		\defined
		\frac{x_n}{f(x_n)}
	\]
	that~$f(x'_n) = 1$ for every~$n$, but also~$\norm{x'_n} < 1/n$ for ever~$n$, and thus~$x'_n \to 0$.
	This contradicts the fibre~$1$ under~$x'$ being closed.
\end{proof}


\begin{proposition}
	\label{closure_of_ideals}
	Let~$A$ be a normed algebra and let~$J$ be an ideal of~$A$.
	\begin{enumerate}

		\item
			The closure of~$J$ in~$A$ is again an ideal of~$A$.

		\item
			Suppose furthermore that~$A$ is a unital Banach~algebra and that~$J$ is a proper ideal of~$A$.
			The closure of~$J$ is again a proper ideal of~$A$.

	\end{enumerate}
\end{proposition}


\begin{proof}
	\leavevmode
	\begin{enumerate}
		\item
			The closure~$\closure{J}$ is again a linear subspace of~$A$ because~$A$ is a topological vector space.
			Let~$a$ be an element of~$A$.
			The left-multiplication map
			\[
				\ell_a \colon A \to A \,,
				\quad
				b \mapsto ab
			\]
			is continuous, whence
			\[
				a \closure{J}
				=
				\ell_a( \closure{J} )
				\subseteq
				\closure{ \ell_a(J) }
				\subseteq
				\closure{ J } \,.
			\]
			This shows that~$A \closure{J} \subseteq \closure{J}$.
			We find in the same way that~$\closure{J} A \subseteq \closure{J}$.
		\item
			The group of units~$A^\times$ is an open subset of~$A$ by \cref{unit_group_is_open}.
			The ideal~$J$ is disjoint to~$A^\times$ because~$J$ is a proper ideal.
			It follows that the closure~$\closure{J}$ is again disjoint to~$A^\times$.
			The group of units~$A^\times$ is non-empty because it contains the multiplicative neutral element of~$A$.
			It follows that the ideal~$\closure{J}$ of~$A$ is again proper.
		\qedhere
	\end{enumerate}
\end{proof}


\begin{recall}
	Let~$A$ be an algebra.
	An ideal~$J$ of~$A$ is \defemph{maximal}\index{maximal ideal} if it satisfies one (and thus all) of the following equivalent conditions.
	\begin{equivalenceslist}

		\item
			$J$ is maximal among all proper ideals of~$A$.

		\item
			There exist no proper ideal~$J'$ of~$A$ that properly contains~$J$.

		\item
			If~$J'$ is an ideal of~$A$ with~$J \subseteq J'$, then~$J' = J$ or~$J' = A$.

	\end{equivalenceslist}
\end{recall}


\begin{corollary}
	\label{maximal_ideals_are_closed}
	Let~$A$ be a unital Banach~algebra and let~$J$ be a maximal ideal of~$A$.
	Then~$J$ is closed in~$A$.
\end{corollary}


\begin{proof}
	The ideal~$J$ is proper in~$A$.
	It follows from \cref{closure_of_ideals} that the closure~$\closure{J}$ is again a proper ideal of~$A$.
	But~$\closure{J}$ contains~$J$.
	It follows from the maximality of~$J$ that already~$J = \closure{J}$.
\end{proof}


\begin{proposition}
	\label{spectrum_is_subset_of_closed_unit_ball}
	Let~$A$ be a Banach~algebra and let~$\gamma$ be a character on~$A$.
	Then~$\gamma$ is continuous with~$\norm{\gamma} \leq 1$.
\end{proposition}


\begin{proof}
	Suppose first that~$A$ is unital.
	The kernel of~$\gamma$ is one-codimensional in~$A$, and it is therefore a maximal ideal of~$A$.
	It follows from \cref{maximal_ideals_are_closed} that~$\ker(\gamma)$ is closed in~$A$.
	It follows from \cref{functional_is_continuous_iff_kernel_is_closed} that~$\gamma$ is continuous.
	
	Let~$a$ be an arbitrary element of~$A$.
	We have for every natural exponent~$n$ the estimate
	\[
		\abs{ \gamma(a) }
		=
		\abs[\big]{ \gamma(a)^n }^{1/n}
		=
		\abs[\big]{ \gamma(a^n) }^{1/n}
		\leq
		( \norm{\gamma} \cdot \norm{a^n} )^{1/n}
		=
		\norm{\gamma}^{1/n} \cdot \norm{a^n}^{1/n} \,.
	\]
	The homomorphism~$\gamma$ is nonzero because both~$A$ and~$\Complex$ are unital, and~$\gamma$ is therefore required to satisfy the condition~$\gamma(1) = 1$.
	By letting~$n$ tend to infinity, we find that
	\[
		\abs{\gamma(a)}
		\leq
		\limsup_{n \to \infty} {}
		\norm{\gamma}^{1/n} \cdot \norm{a^n}^{1/n}
		=
		1 \cdot \specrad(a)
		=
		\specrad(a)
		\leq
		\norm{a} \,.
	\]
	This shows that~$\norm{\gamma} \leq 1$.%
	\footnote{
		Instead of the general convergence~$\norm{a^n}^{1/n} \to \specrad(a)$, we have really only used that~$\norm{a^n}^{1/n} \leq \norm{a}$ for every~$n \geq 1$.
		This estimate follows from the submultiplicativity of the norm of~$A$.
	}

	Suppose now that the algebra~$A$ is non-unital.
	The character~$\gamma$ extends to a character~$\gamma'$ from the unitization~$\tilde{A}$ to~$\Complex$.
	This extended character~$\gamma'$ is continuous with~$\norm{\gamma'} \leq 1$, as shown above.
	The character~$\gamma$ is the restriction of~$\gamma'$ to~$A$.
	It therefore follows that~$\gamma$ is again continuous, and that~$\norm{\gamma} \leq \norm{\gamma'} \leq 1$.
\end{proof}


\begin{recall}
	\label{recall_on_weak_topology}
	Let~$X$ be a topological vector space.
	\begin{enumerate}

		\item
			The (topological) dual space of~$X$ is denoted by~$X'$;
			it is the linear subspace of the algebraic dualspace of~$X$ (usually denoted by~$X^*$) consisting of all the continuous, linear maps from~$X$ to~$\Complex$.
			The dual space~$X'$ is endowed with the \defemph{\weakstartopology{}}\index{weak *-topology}:
			the coarsest topology on~$X'$ such that all evaluation maps
			\[
				\ev_x
				\colon
				X' \to \Complex \,,
				\quad
				X' \mapsto x'(x)
			\]
			with~$x \in X$ are continuous.
			This topology can also be characterized in terms of convergence:
			a net~$(x'_\mu)_\mu$ in~$X'$ converges to an element~$x'$ of~$X'$ if and only if for every element~$x$ of~$X$ the net~$(x'_\mu(x))_\mu$ converges to~$x'(x)$.

		\item
			The vector space~$X'$ together with the \weakstartopology{} is a Hausdorff topological vector space.
			To see that~$X'$ is a Hausdorff~space, let~$x'_1$ and~$x'_2$ be two distinct elements of~$X'$.
			There exists an element~$x$ of~$X$ with~$x'_1(x) \neq x'_2(x)$.
			The evaluation map is continuous.
			Let~$U$ and~$V$ be open, disjoint neighbourhoods of~$x'_1(x)$ and~$x'_2(x)$ respectively.
			The preimages~$\ev_x^{-1}(U)$ and~$\ev_x^{-1}(V)$ are open, disjoint neighbourhoods of~$x'_1$ and~$x'_2$ respectively.
			The existence of these open neighbourhoods shows that~$X'$ is a Hausdorff~space.
	\end{enumerate}
\end{recall}


\begin{definition}
	Let~$A$ be a Banach~algebra.
	The topology on its spectrum~$\hat{A}$ is the subspace topology that it inherits from~$A'$ the \weakstartopology{} of~$A$.
\end{definition}


\begin{recall}
	Let~$X$ be a topological space.
	\begin{enumerate}
		\item
			The space~$X$ is \defemph{locally compact}\index{locally compact} if every point of~$x$ admits a neighbourhood basis consisting of compact neighbourhoods.
		\item
			Suppose that~$X$ is a Hausdorff space.
			Then~$X$ is locally compact if and only if every point of~$X$ admits a compact neighbourhood \cite{stackexchange_definition_locally_compact}.
			It holds in particular that every compact Hausdorff space is locally compact.%
			\footnote{
				The converse is not true:
				Locally compact Hausdorff spaces will seldom be compact.
				This can be seen by considering any non-compact manifold.
			}
		\item
			Suppose that~$X$ is locally compact and let~$C$ be a closed subspace of~$X$
			Then~$C$ is again locally compact.
			Indeed, let~$x$ be a point in~$C$ and let~$\mathcal{N}$ be a neighbourhood basis of~$x$ in~$X$ consisting of compact neighbourhoods.
			Then~$\mathcal{N}' \defined \{ N \cap C \suchthat N \in \mathcal{N} \}$ in a neighbourhood basis of~$x$ in~$C$.
			Each intersection~$N \cap C$ is a closed subspace on~$N$, and therefore again compact.
			This shows that~$\mathcal{N}'$ is a neighbourhood basis of~$x$ in~$C$ consisting of compact neighbourhoods.
		\item
			Suppose that~$X$ is locally compact and let~$U$ be an open subspace of~$X$.
			Then~$U$ is again locally compact.
			Indeed, let~$x$ be a point in~$U$ and let~$V$ be an open neighbourhood of~$x$ in~$U$.
			Then~$V$ is also open in~$X$ because~$U$ is open in~$X$.
			It follows that there exist a compact neighbourhood~$N$ of~$x$ in~$X$ with~$N \subseteq V$.
			It further follows that~$N$ is a neighbourhood of~$x$ in~$U$ because~$N$ is contained in~$U$ (because~$N \subseteq V \subseteq U$).
			This shows that every neighbourhood of~$x$ in~$U$ contains a compact neighbourhood of~$x$.
			In other words,~$x$ admits in~$U$ a neighbourhood basis consisting of compact neighbourhoods.
	\end{enumerate}
\end{recall}


\begin{lemma}
	\label{multiplicative_maps_in_weak_topology}
	Let~$A$ be a Banach~algebra and let~$M$ be the set of linear, continuous, multiplicative maps from~$A$ to~$\Complex$, i.e.
	\[
		M
		=
		\{
			a' \in A'
		\suchthat
			\text{$a'(ab) = a'(a) \cdot a'(b)$ for all~$a, b \in A$}
		\} \,.
	\]
	Let furthermore~$B$ be the closed unit ball in~$A'$ with respect to the operator norm, i.e.
	\[
		B
		\defined
		\{
			a' \in A'
		\suchthat
		\norm{a'} \leq 1
		\} \,.
	\]
	\begin{enumerate}

		\item
			We have~$M = \hat{A} \cup \{ 0 \}$ with~$0 \notin \hat{A}$.

		\item
			$M$ is a closed subset of~$B$ with respect to the~\weakstartopology{}.

		\item
			$M$ is compact in the~\weakstartopology{}.

	\end{enumerate}
\end{lemma}


\begin{proof}
	\leavevmode
	\begin{enumerate}

		\item
			We have~$M = \hat{A} \cup \{0\}$ by the definition of an algebra homomorphism and  by \cref{spectrum_is_subset_of_closed_unit_ball}.
			That~$0$ is not contained in~$\hat{A}$ follows from the requirement at a character to be nonzero.

		\item
			We know from \cref{spectrum_is_subset_of_closed_unit_ball} that the set~$M$ is contained in~$B$.
			To see that~$M$ is closed in~$B$ let~$(a'_\mu)_\mu$ be a net in~$M$ that converges to an element~$a'$ of~$A'$ in the \weakstartopology{}.
			Then
			\[
				a'_\mu(a) \cdot a'_\mu(b)
				=
				a'_\mu(ab)
				\to
				a'(ab)
			\]
			by definition of the \weakstartopology{}, and similarly
			\[
				a'_\mu(a) \cdot a'_\mu(b)
				\to
				a'(a) \cdot a'(b)
			\]
			by definition of the \weakstartopology{} and the continuity of the multiplication of~$\Complex$.
			This shows that~$a'(ab) = a'(a) \cdot a'(b)$.
			In other words,~$a'$ is again contained in~$B$.

		\item
			The theorem of Banach--Alaoglu assures that~$B$ is compact in the \weakstartopology{}.
			It follows that~$M$ is again compact because it is a closed subspace of~$B$.
		\qedhere

	\end{enumerate}
\end{proof}


\begin{proposition}
	Let~$A$ be a Banach~algebra.
	\begin{enumerate}

		\item
			The spectrum~$\hat{A}$ is locally compact.

		\item
			Suppose furthermore that~$A$ is unital.
			Then~$\hat{A}$ is compact.

	\end{enumerate}
\end{proposition}


\begin{proof}
	\leavevmode
	\begin{enumerate}

		\item
			Let~$M$ be as in \cref{multiplicative_maps_in_weak_topology}.
			It follows from \cref{multiplicative_maps_in_weak_topology} and \cref{recall_on_weak_topology} that~$M$ is both compact and Hausdorff.
			It further follows that~$M$ is locally compact.
			The singleton~$\{ 0 \}$ is closed in~$M$ because~$M$ is Hausdorff.
			It follows that~$\hat{A} = M \setminus \{ 0 \}$ is an open subspace of~$M$.
			It therefore follows that~$\hat{A}$ is again locally compact.
			
		\item
			Suppose now that~$A$ is unital.
			Then~$\gamma(1) = 1$ for every~$\gamma \in \hat{A}$.
			It follows that~$\hat{A}$ is the preimage of the closed interval~$[1 - \varepsilon, 1 + \varepsilon]$ (for~$0 < \varepsilon < 1$) under the evaluation map
			\[
				\ev_1
				\colon
				M
				\to
				\Complex \,.
			\]
			But~$\ev_1$ is continuous by definition of the~\weakstartopology{}.
			It therefore follows that~$\hat{A}$ is closed in~$M$.
			It follows that~$\hat{A}$ is again compact.
		\qedhere
			
	\end{enumerate}
\end{proof}


\begin{proposition}
	Let~$A$ be a Banach algebra and let~$a$ be an element of~$A$.
	The map
	\[
		\hat{a}
		\colon
		\hat{A} \to \Complex \,,
		\quad
		\gamma
		\mapsto
		\gamma(a)
	\]
	is continuous and vanishes at infinity.
	In other words,~$\hat{a}$ is contained in~$\Cont_0(\hat{A})$.
\end{proposition}


\begin{proof}
	We know that the evaluation map~$\ev_a$ from~$A'$ to~$\Complex$ is continuous by definition of the \weakstartopology{}.
	It follows that~$\hat{a}$ is again continuous, since it is the restriction of~$\ev_a$ to~$\hat{a}$.%
	\footnote{
		In other words, the topology on~$\hat{a}$ is the coarsest topology with respect to which all maps~$\hat{a}$ with~$a \in A$ are continuous.
	}
	Let~$M$ be as in~\cref{multiplicative_maps_in_weak_topology}.
	For every~$\varepsilon > 0$ we have
	\[
		\{
			\gamma \in \hat{A}
		\suchthat
			\hat{a}(\gamma) \geq \varepsilon
		\}
		=
		\{
			a' \in M
		\suchthat
			\hat{a}(a') \geq \varepsilon
		\}
		=
		\{
			a' \in M
		\suchthat
			a'(a) \geq \varepsilon
		\} \,.
	\]
	This is a closed subset of~$M$.
	It follows that this set in compact, because~$M$ is compact.
\end{proof}


\begin{definition}
	Let~$A$ be a commutative Banach algebra.
	The map
	\[
		\Gamma_A
		\colon
		A \to \Cont_0(\hat{A}) \,,
		\quad
		a \mapsto \hat{a} \,,
		\glsadd{gelfand_transform_element}
		\glsadd{gelfand_transform_function}
	\]
	where~$\hat{a}$ is given by~$\hat{a}(\gamma) = \gamma(a)$ for all~$a \in A$ and~$\gamma \in \hat{A}$, is the \defemph{Gelfand~transformation}\index{Gelfand transform} of~$A$.
\end{definition}


\begin{theorem}
	Let~$A$ be a commutative Banach algebra.
	\begin{enumerate}

		\item
			The Gelfand~transformation of~$A$ is a norm-decreasing homomorphism of algebras from~$A$ to~$\Cont_0(\hat{A})$.

		\item
			The image of~$A$ under its Gelfand~transformation separates the points of~$\hat{A}$.

	\end{enumerate}
\end{theorem}


\begin{proof}
	\leavevmode
	\begin{enumerate}

		\item
			This follows from direct calculations.

		\item
			For every element~$a$ of~$A$ we have
			\[
				\norm{ \Gamma_A(a) }
				=
				\norm{ \hat{a} }
				=
				\sup_{ \gamma \in \hat{A} } {} \norm{ \hat{a}(\gamma) }
				=
				\sup_{ \gamma \in \hat{A} } {} \norm{ \gamma(a) }
				\leq
				\sup_{ \gamma \in \hat{A} } {} \norm{\gamma} \cdot \norm{a}
				\leq
				1 \cdot \norm{a}
				=
				\norm{a} \,.
			\]

		\item
			Let~$\gamma_1$ and~$\gamma_2$ be two points in~$\hat{a}$ with~$\gamma_1 \neq \gamma_2$.
			Then there exists some element~$a$ of~$A$ with~$\gamma_1(a) \neq \gamma_2(a)$, and thus
			\[
				\Gamma_A(a)(\gamma_1)
				=
				\hat{a}(\gamma_1)
				=
				\gamma_1(a)
				\neq
				\gamma_2(a)
				=
				\hat{a}(\gamma_2)
				=
				\Gamma_A(a)(\gamma_2) \,.
			\]
			This shows the assertion.
		\qedhere

	\end{enumerate}
\end{proof}


\begin{example}[Flashforward]
	Let~$X$ be a locally compact Hausdorff space and let~$A$ be the Banach~algebra~$\Cont_0(X)$.
	The Gelfand~transform of~$A$ is an isomorphism of Banach~algebras from~$A$ to~$\Cont_0(\hat{A})$.
\end{example}


\begin{proposition}
	\label{image_of_gelfand_transform_of_element}
	Let~$A$ be a commutative Banach~algebra.
	For every~$a \in A$,
	\[
		\Ran(\hat{a}) = \spec(a) \,.
	\]
\end{proposition}


\begin{proof}
	Suppose first that~$A$ is unital.

	Let~$\lambda$ be contained in~$\Ran(\hat{a})$.
	There exist a homomorphism of algebras~$\gamma$ from~$A$ to~$\Complex$ such that~$\gamma(a) = \lambda$.
	It follows that~$\gamma(a - \lambda) = 0$.
	This entails that~$a - \lambda$ cannot be a unit in~$A$.
	In other words~$\lambda$ is contained in~$\spec(a)$.
	
	Let conversely~$\lambda$ be an element of~$\spec(a)$.
	Let~$I$ be the ideal of~$A$ generated by~$a - \lambda$.
	This is a proper ideal of~$A$ because~$a - \lambda$ is non-invertible and~$A$ is commutative.
	It follows that there exists a maximal ideal~$J$ of~$A$ such that~$I$ is contained in~$J$.
	The quotient algebra~$A/J$ is a because~$A$ is commutative and~$J$ is maximal.
	It follows from \cref{maximal_ideals_are_closed} that~$J$ is closed in~$A$, and therefore that~$A/J$ inherits the structure of a Banach algebra from~$A$.
	It follows from \cref{classification_of_banach_skew_field} and \cref{norm_of_unit_element} that~$A/J = \Complex$ as complex algebras.
	Let~$\gamma$ be the projection from~$A$ to~$A/J = \Complex$.
	This is a homomorphism of algebras with~$\gamma(a - \lambda) = 0$, and thus~$\gamma(a) = \gamma(\lambda) = \lambda$.
	This shows that~$\lambda$ is contained in~$\Ran(\hat{a})$.
	
	Suppose now that the algebra~$A$ is non-unital.
	It follows from \cref{universal_property_of_unitization} that the set~$\Ran(\hat{a})$ does not depend on whether we interpret~$a$ as an element of~$A$ or as an element of~$\tilde{A}$.
	The same holds for~$\spec(a)$.%
	\footnote{
		Recall that~$\spec(a)$ is defined by interpreting~$a$ as an element of~$\tilde{A}$.
	}
	The claimed equality~$\Ran(\hat{a}) = \spec(a)$ therefore follows from the unital case.
\end{proof}


\begin{remark}
	\Cref{image_of_gelfand_transform_of_element} explains the how the spectrum of a Banach algebra relates to the spectra of its elements.
\end{remark}


\begin{corollary}
	Let~$A$ be a commutative Banach~algebra.
	Then~$\norm{\hat{a}} = \specrad(a)$ for every~$a \in A$, and
	\[
		\ker( \Gamma_A )
		=
		\{
			a \in A
		\suchthat
			\specrad(a) = 0
		\} \,.
	\]
\end{corollary}


\begin{proof}
	It follows from \cref{image_of_gelfand_transform_of_element} that
	\[
		\textstyle
		\norm{\hat{a}}
		=
		\sup_{\gamma \in \hat{A}} {}
		\abs{ \hat{a}(\gamma) }
		=
		\sup {}
		\{ \abs{\lambda} \suchthat \lambda \in \Ran(\hat{a}) \}
		=
		\sup {}
		\{ \abs{\lambda} \suchthat \lambda \in \spec(a) \}
		=
		\specrad(a) \,.
	\]
	It further follows that
	\[
		\ker(\Gamma_A)
		=
		\{
			a \in A
		\suchthat
			\Gamma_A(a) = 0
		\}
		=
		\{
			a \in A
		\suchthat
			\hat{a} = 0
		\}
		=
		\{
			a \in A
		\suchthat
			\norm{\hat{a}} = 0
		\}
		=
		\{
			a \in A
		\suchthat
			\specrad(a) = 0
		\} \,,
	\]
	as claimed.
\end{proof}





\section{C\texorpdfstring{${}^*$}{*}-Algebras}


\begin{definition}
	\leavevmode
	\begin{enumerate}

		\item
			Let~$A$ be an algebra.
			An \defemph{antiinvolution}\index{antiinvolution} on~$A$ is a map
			\[
				(\ph)^* \colon A \to A
				\glsadd{antiinvolution}
			\]
			that is an involutive, antilinear, and antimultiplicative.
			More explicitely,
			\begin{itemize*}
				\item
					$a^{**} = a$ for every~$a \in A$,
				\item
					$(a + b)^* = a^* + b^*$ for all~$a, b \in A$,
				\item
					$(\lambda a)^* = \conj{\lambda} a^*$ for every~$a \in A$, and
				\item
					$(a b)^* = b^* a^*$ or all~$a, b \in A$.
			\end{itemize*}

		\item
			A~\defemph{\staralgebra{}}\index{*-algebra} is an algebra together with an antiinvolution.

	\end{enumerate}
\end{definition}


\begin{proposition}
	Let~$A$ be a unital~\staralgebra{}.
	Then~$1^* = 1$.
\end{proposition}


\begin{proof}
	We have~$1^* \cdot a = (a^* \cdot 1)^* = a^{**} = a$ for every~$a \in A$, and thus~$1^* = 1$.
\end{proof}


\begin{definition}
	\leavevmode
	\begin{enumerate}

		\item
			A \defemph{normed \staralgebra{}}\index{normed!*-algebra}\index{*-algebra!normed} is a~\staralgebra{} together with a norm such that~$(-)^*$ is continuous.

		\item
			A \defemph{Banach~\staralgebra{}}\index{Banach!*-algebra}\index{*-algebra!Banach} is a normed~\staralgebra{} that is a Banach~algebra.

	\end{enumerate}
\end{definition}


\begin{proposition}
	\label{possible_cstar_properties}
	Let~$A$ be a normed~\staralgebra{}.
	The following conditions on~$A$ are equivalent.
	\begin{equivalenceslist}

		\item
		\label{multiplicative_characterizations_of_cstar}
		\begin{equivalenceslist}

			\item
			\label{a_astar_multiplicative}
			$\norm{a a^*} = \norm{a} \cdot \norm{a^*}$ for every~$a \in A$, and~$(\ph)^*$ is an isometry.

			\item
			\label{astar_a_multiplicative}
			$\norm{a^* a} = \norm{a} \cdot \norm{a^*}$ for every~$a \in A$, and~$(\ph)^*$ is an isometry.

		\end{equivalenceslist}

		\item
		\begin{equivalenceslist}

			\item
			\label{a_a_astar_equality}
			$\norm{a}^2 = \norm{a a^*}$ for every~$a \in A$.

			\item
			\label{astar_astar_a_equality}
			$\norm{a^*}^2 = \norm{a^* a}$ for every~$a \in A$.

			\item
			\label{a_astar_a_equality}
			$\norm{a}^2 = \norm{a^* a}$ for every~$a \in A$.

			\item
			\label{astar_a_astar_equality}
			$\norm{a^*}^2 = \norm{a a^*}$ for every~$a \in A$.
				
		\end{equivalenceslist}

		\item
		\begin{equivalenceslist}

			\item
			\label{a_a_astar_estimate}
			$\norm{a}^2 \leq \norm{a a^*}$ for every~$a \in A$.

			\item
			\label{astar_astar_a_estimate}
			$\norm{a^*}^2 \leq \norm{a^* a}$ for every~$a \in A$.

			\item
			\label{a_astar_a_estimate}
			$\norm{a}^2 \leq \norm{a^* a}$ for every~$a \in A$.

			\item
			\label{astar_a_astar_estimate}
			$\norm{a^*}^2 \leq \norm{a a^*}$ for every~$a \in A$.

		\end{equivalenceslist}

	\end{equivalenceslist}

\end{proposition}


\begin{proof}
	\leavevmode
	The antiinvolution~$(\ph)^*$ on~$A$ is in particular an involution.
	For every logical statement~$P(a)$ about the elements~$a$ of~$A$ we have therefore an equivalent dual statement~$P(a^*)$.
	This shows the equivalences
	\[
		\text{\ref{a_astar_multiplicative}} \iff \text{\ref{astar_a_multiplicative}} \,,
		\qquad
		\text{\ref{a_a_astar_equality}} \iff \text{\ref{astar_astar_a_equality}} \,,
		\qquad
		\text{\ref{a_astar_a_equality}} \iff \text{\ref{astar_a_astar_equality}} \,,
		\qquad
		\text{\ref{a_a_astar_estimate}} \iff \text{\ref{astar_astar_a_estimate}} \,,
		\qquad
		\text{\ref{a_astar_a_estimate}} \iff \text{\ref{astar_a_astar_estimate}} \,.
	\]
	The following implications are immediate:
	\[
		\text{\ref{a_astar_multiplicative}}
		\implies \text{\ref{a_a_astar_equality}}
		\implies \text{\ref{a_a_astar_estimate}} \,,
		\qquad
		\text{\ref{astar_a_multiplicative}}
		\implies \text{\ref{a_astar_a_equality}}
		\implies \text{\ref{a_astar_a_estimate}} \,.
	\]

	Suppose that condition~\ref{a_a_astar_estimate} holds.
	Then~$\norm{a}^2 \leq \norm{a a^*} \leq \norm{a} \norm{a^*}$ for every~$a \in A$, and therefore~$\norm{a} \leq \norm{a^*}$ for every~$a \in A$.
	It follows for every~$a \in A$ that
	\[
		\norm{a}
		\leq
		\norm{a^*}
		\leq
		\norm{a^{**}}
		=
		\norm{a}
	\]
	and thus~$\norm{a} = \norm{a^*}$.
	This shows that the antiinvolution~$(\ph)^*$ is an isometry.
	It also follows that
	\[
		\norm{a a^*}
		\leq
		\norm{a} \norm{a^*}
		=
		\norm{a^2} \,,
	\]
	and therefore~$\norm{a^2} = \norm{a a^*}$.
	Finally, we find that~$\norm{a a^*} = \norm{a}^2 = \norm{a} \norm{a^*}$.
	We have thus shown that~\ref{a_astar_multiplicative} follows from~\ref{a_a_astar_estimate}.
	We find in the same way that~\ref{astar_a_multiplicative} follows from~\ref{a_astar_a_estimate}.
\end{proof}


\begin{definition}
	Let~$A$ be a Banach~\staralgebra{}.
	The algebra~$A$ satisfies the \defemph{\Cstarproperty{}}\index{C*-!property} if it satisfies one (and thus all) of the equivalent conditions from \cref{possible_cstar_properties}.%
	\footnote{
		We leave it up the reader to decide which of the conditions from \cref{possible_cstar_properties} is \defemph{the}~\Cstarproperty{}.%
	}
	It is then a \defemph{\Cstaralgebra{}}\index{C*-!algebra}.
\end{definition}


\begin{remark}
	In a Banach~\staralgebra{}, one can actually remove the requirement for~$(\ph)^*$ to be an isometry from part~\ref{multiplicative_characterizations_of_cstar} of \cref{possible_cstar_properties}.
	However, this is highly non-trivial \cite[p.~5]{doran_belfi_characterizations_cstar}.
\end{remark}



\begin{proposition}
	Let~$A$ be a nonzero, unital~\Cstaralgebra{}.
	Then~$\norm{1} = 1$.
\end{proposition}


\begin{proof}
	We have~$1^* = 1$ and therefore
	\[
		\norm{1}
		= \norm{1 \cdot 1}
		= \norm{1^* \cdot 1}
		= \norm{1}^2 \,.
	\]
	The norm of~$1$ in~$A$ in nonzero because~$A$ is nonzero.
	It follows that~$\norm{1} = 1$.
\end{proof}


\begin{example}
	\leavevmode
	\begin{enumerate}

		\item
			Let~$X$ be a topological space.
			The Banach~algebra~$\Contb(X)$, as well as its subalgebra~$\Cont_0(X)$, become~\Cstaralgebras{} when endowed with the antiinvolution~$(\ph)^*$ given by
			\[
				f^*(x)
				=
				\conj{ f(x) }
			\]
			for all~$f \in \Cont_b(X)$ and~$x \in X$.
			Indeed,~$(\ph)^*$ is an antiinvolution, and for every~$f \in \Contb(X)$,
			\[
				\norm{f f^*}
				=
				\sup_{x \in X} {} \abs[\Big]{ f(x) \conj{f(x)} }
				=
				\sup_{x \in X} {} \abs[\Big]{ \abs{f(x)}^2 }
				=
				\sup_{x \in X} {} \abs{ f(x) }^2
				=
				\biggl( \sup_{x \in X} {} \abs{ f(x) } \biggr)^2
				=
				\norm{f}^2 \,.
			\]

		\item
			Let~$H$ be a Hilbert~space.
			For every element~$T$ of~$\Bounded(H)$ we denote by~$T^*$ the adjoint operator of~$T$.
			The map~$(\ph)^*$ is an antiinvolution on~$\Bounded(H)$.
			It follows from the Cauchy--Schwarz~inequality that
			\begin{align*}
				\norm{T}^2
				=
				\sup_{\substack{x \in H \\ \norm{x} \leq 1}} {}
				\norm{T x}^2
				=
				\sup_{\substack{x \in H \\ \norm{x} \leq 1}} {}
				\inner{Tx}{Tx}
				=
				\sup_{\substack{x \in H \\ \norm{x} \leq 1}} {}
				\inner{x}{T^* T x}
				\leq
				\sup_{\substack{x \in H \\ \norm{x} \leq 1}} {}
				\norm{x} \norm{T^* T x}
				&=
				\sup_{\substack{x \in H \\ \norm{x} \leq 1}} {}
				\norm{T^* T x}
				\\[0.5em]
				&=
				\norm{T^* T} \,.
			\end{align*}
			This shows that~$(\ph)^*$ makes~$\Bounded(H)$ into a \Cstaralgebra{}.

		\item
			Let~$A$ be the matrix~algebra~$\Mat(n, \Complex)$ endowed with the operator norm~$\norm{\phdot}$.
			For every~$a \in A$ let~$a^*$ be the conjugate-transpose of~$a$.
			It follows as a special case of the previous example that~$(\ph)^*$ makes~$\Mat(n, \Complex)$ into a \Cstaralgebra{}.

	\end{enumerate}
\end{example}


\begin{proposition}
	\label{cstar_algebra_acts_by_isometries}
	Let~$A$ be a~\Cstaralgebra, and for every~$a \in A$ let~$\ell_a$ be the left multiplication by~$a$, i.e. the linear map
	\[
		\ell_a
		\colon
		A \to A \,,
		\quad
		b \mapsto ab \,.
	\]
	The resulting homomorphism of algebras~$\ell$ from~$A$ to~$\Bounded(A)$ is an isometry.
\end{proposition}


\begin{proof}
	Let~$a$ be an element of~$A$.
	It follows from the submultiplicativity of the norm of~$A$ that~$\norm{\ell_a} \leq \norm{a}$.
	But we also have~%
	$
		\norm{ \ell_a(a^*) }
		\leq
		\norm{ a a^* }
		=
		\norm{a} \norm{a^*}
	$
	and therefore~$\norm{ \ell_a } \geq \norm{a}$.
%	This shows that~$\norm{\ell_a} = \norm{a}$, as desired.
\end{proof}


\begin{recall}
	\label{sum_of_closed_and_fd_is_closed}
	Let~$X$ be a normed vector space, let~$Y$ be a closed linear subspace of~$X$, and let~$Z$ be a finite-dimensional linear subspace of~$X$.
	The linear subspace~$Y + Z$ is again closed in~$X$.
\end{recall}


\begin{proof}
	The quotient vector space~$X/Y$ inherits from~$X$ the structure of a normed vector space, such that the quotient map~$T$ from~$X$ to~$X/Y$ is continuous.
	The image~$T Z$ is a finite-dimensional linear subspace of~$X/Y$, and is therefore closed in~$X/Y$.
	It follows that the preimage of~$T Z$ under~$T$ is again a closed subspace of~$X$.
	This preimage is precisely~$Y + Z$.
\end{proof}


\begin{construction}
	\label{construction_of_cstar_unitization}
	\leavevmode
	\begin{enumerate}

		\item
			Let~$A$ be a~\staralgebra{}.
			We can uniquely extend the antiinvolution~$(\ph)^*$ of~$A$ to an antiinvolution on the unitization~$\tilde{A}$.
			Indeed, if such an extension~$(\ph)^*$ of~$(\ph)^*$ exists, then
			\[
				(a, \lambda)^*
				=
				(a + \lambda \cdot 1_A)^*
				=
				a^* + \conj{\lambda} \cdot 1_A^*
				=
				a^* + \conj{\lambda} \cdot 1_A
				=
				(a^*, \conj{\lambda}) \,.
			\]
			The formula~$(a, \lambda)^* = (a^*, \conj{\lambda})$ does, on the other hand, indeed define an antiinvolution on~$\tilde{A}$.

		\item
			However, for a~\Cstaralgebra{}~$A$, its unitization~$\tilde{A}$ will in general not be a~\Cstaralgebra{} again.
			To fix this problem we need to adjust the norm on~$\tilde{A}$, at least in the case that~$A$ in non-unital.

			So let~$A$ be non-unital.
			The algebra~$A$ is an ideal of its unitization~$\tilde{A}$.
			It follows that we have for every element~$\tilde{a}$ of~$\tilde{A}$ the linear map
			\[
				\ell_{\tilde{a}}
				\colon
				A \to A \,,
				\quad
				b \mapsto \tilde{a} b \,.
			\]
			It follows from the submultiplicativity of the norm of~$A$ that
			\begin{equation}
%				\label{estimate_for_operator_norm}
				\norm{ \ell_{(a,\lambda)}( b ) }
				=
				\norm{ ab + \lambda b }
				=
				\norm{ab} + \norm{ \lambda b }
				\leq
				\norm{a} \norm{b} + \abs{\lambda} \norm{b}
				=
				( \norm{a} + \abs{\lambda} ) \norm{b}
			\end{equation}
			This shows that the linear map~$\ell_{\tilde{a}}$ is bounded for every~$\tilde{a} \in \tilde{A}$.
			We have therefore a homomorpism of algebras
			\[
				\ell
				\colon
				\tilde{A} \to \Bounded(A) \,,
				\quad
				\tilde{a} \mapsto \ell_{\tilde{a}} \,.
			\]
			The restriction of~$\ell$ to~$A$ is an isometry by \cref{cstar_algebra_acts_by_isometries}.
			The image of the restriction of~$\ell$ to~$\Complex$ is given by the scalar multiples of the identity of~$A$.
			The algebra~$A$ is non-unital, so it follows that the images of~$A$ and~$\Complex$ under~$\ell$ intersect trivially.
			It therefore further follows that the homomorphism~$\ell$ is injective.

			For every element~$\tilde{a}$ of~$\tilde{A}$ let~$\norm{\tilde{a}}$ be the operator norm of~$\ell_{\tilde{a}}$.
			This defines a norm on~$\tilde{A}$.
			It follows from \cref{cstar_algebra_acts_by_isometries} that~$\norm{(a, 0)} = \norm{a}$ for every~$a \in A$.
			We also find that~$\norm{(0, \lambda)} = \norm{\lambda}$.
			This show that this new norm on~$\tilde{A}$ extends the norms of~$A$ and~$\Complex$.

			To see that the norm~$\norm{\phdot}$ on~$\tilde{A}$ is complete, let
			\[
				A_1
				\defined
				\{
					\ell_{(a, 0)}
				\suchthat
					a \in A
				\}
				\quad\text{and}\quad
				A_2
				\defined
				\{
					\lambda \id_A
				\suchthat
					\lambda \in \Complex
				\} \,.
			\]
			It follows from the completeness of~$A$ and \cref{cstar_algebra_acts_by_isometries} that~$A_1$ is a complete subspace of~$\Bounded(A)$.
			This entails that~$A_1$ is a closed subspace of~$\Bounded(A)$.
			The subspace~$A_2$ of~$\Bounded(A)$ is finite-dimensional.
			It follows from \cref{sum_of_closed_and_fd_is_closed} that the sum~$A_1 + A_2$ is again closed in~$\Bounded(A)$.
			This sum is precisely the image of~$\ell$.
			We have thus shown that the image of~$\ell$ is closed in~$\Bounded(A)$.
			It follows from the completeness of~$\Bounded(A)$ that the image of~$\ell$ is again complete.
			If further follows that~$\tilde{A}$ is complete because~$\ell$ is an isometry (by choice of the norm on~$\tilde{A}$).

			It remains to show that~$\tilde{A}$ together with this new norm satisfies the~\Cstarproperty{}.
			There exists for every nonzero element~$\tilde{a}$ of~$\tilde{A}$ and every~$\varepsilon > 0$ an element~$b$ of~$A$ with~$\norm{b} = 1$ such that such that~$\norm{\tilde{a}}^2 - \varepsilon \leq \norm{\tilde{a} b }^2$.
			It follows that
			\begin{align*}
				\norm{ \tilde{a} }_{\tilde{A}}^2 - \varepsilon
				&\leq
				\norm{ \tilde{a} b }_A^2
				\\
				&\leq
				\norm{ (\tilde{a} b)^* \tilde{a} b }_A
				\\
				&=
				\norm{ b^* \tilde{a}^* \tilde{a} b }_A
				\\
				&=
				\norm{ b^* \tilde{a}^* \tilde{a} b }_{\tilde{A}}
				\\
				&\leq
				\norm{ b^* }_{\tilde{A}}
				\norm{ \tilde{a}^* \tilde{a} }_{\tilde{A}}
				\norm{ b }_{\tilde{A}}
				\\
				&=
				\norm{ b^* }_A
				\norm{ \tilde{a}^* \tilde{a} }_{\tilde{A}}
				\norm{ b }_A
				\\
				&=
				\norm{ b }_A
				\norm{ \tilde{a}^* \tilde{a} }_{\tilde{A}}
				\norm{ b }_A
				\\
				&=
				\norm{ \tilde{a}^* \tilde{a} }_{\tilde{A}} \,.
			\end{align*}
			We have thus found the estimate~$\norm{ \tilde{a} }^2 - \varepsilon \leq \norm{ \tilde{a}^* \tilde{a} }$ for every~$\varepsilon > 0$.
			This shows that~$\norm{ \tilde{a} }^2 \leq \norm{ \tilde{a}^* \tilde{a} }$, which means that~$\tilde{A}$ is a~\Cstaralgebra{}.
	\end{enumerate}
\end{construction}


\begin{remark}
	The above proof of the completeness of~$\tilde{A}$ is taken from \cite{stackexchange_completeness_unitization_cstar_algebra}.
\end{remark}


\begin{definition}
	Let~$A$ be a~\Cstaralgebra{}.
	The algebra~$\tilde{A}$\glsadd{unitization} together with the antiinvolution and norm from~\cref{construction_of_cstar_unitization} is the \defemph{unitization}\index{unitization!of C*-algebras} of~$A$.
\end{definition}



